Download it now!
Bug 124579 - Basic Macro hang up when using (operation system) filepicker/folderpicker
Summary: Basic Macro hang up when using (operation system) filepicker/folderpicker
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: BASIC (show other bugs)
Version:
(earliest affected)
6.2.1.2 release
Hardware: All Windows (All)
: medium normal
Assignee: Mike Kaganski
URL:
Whiteboard: target:6.3.0 target:6.2.4
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2019-04-06 15:22 UTC by Hans-Werner
Modified: 2019-04-09 07:59 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
macro for testing picker software (1.78 KB, text/plain)
2019-04-06 15:23 UTC, Hans-Werner
Details
win cmd for starting macro (656 bytes, text/plain)
2019-04-06 15:24 UTC, Hans-Werner
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Hans-Werner 2019-04-06 15:22:14 UTC
Description:
When starting a macro, that uses (operation system) filepicker/folderpicker, by using an external command, macro hangs up. It could be, that only "Windows 7" is affected.

Steps to Reproduce:
1. No LO running.
2. Start macro (TestPickerSW.txt) by using the external command (TestPickerSW.cmd) and select [1],[2],[3] or [4] (Macro InputBox).

[1] = Macro uses "com.sun.star.ui.dialogs.OfficeFilePicker"
[2] = Macro uses "com.sun.star.ui.dialogs.OfficeFolderPicker"
[3] = Macro uses "com.sun.star.ui.dialogs.FilePicker"
[4] = Macro uses "com.sun.star.ui.dialogs.FolderPicker"

Actual Results:
When selecting [1] or [2] no error occurs and macro ends with: "Last code line of macro ...".

When selecting [3] or [4] macro will hang up (soffice.exe using 0% CPU). When in this situation soffice.exe is manually re-started by user, macro continues processing.

Expected Results:
Macro should not hang up.


Reproducible: Always


User Profile Reset: No



Additional Info:
Comment 1 Hans-Werner 2019-04-06 15:23:28 UTC
Created attachment 150569 [details]
macro for testing picker software
Comment 2 Hans-Werner 2019-04-06 15:24:36 UTC
Created attachment 150571 [details]
win cmd for starting macro
Comment 3 Mike Kaganski 2019-04-06 15:43:31 UTC
Reproducible with current master on Windows 10 x64.

Regression after https://git.libreoffice.org/core/+/0073101ec520e40727800f1d90b3b211fd6ec8d8.
Comment 4 Mike Kaganski 2019-04-06 16:05:39 UTC
https://gerrit.libreoffice.org/70346
Comment 5 Commit Notification 2019-04-06 17:57:28 UTC
Mike Kaganski committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/e3d737119fc7bdce224a173896486f376f95a417%5E%21

tdf#124579: ensure to provide an event to wake up main loop when notifying

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Hans-Werner 2019-04-08 07:56:13 UTC
F E E D B A C K

Tested using: LO 6.3.0.0.alpha0+ (x64) @ Windows 7 Home Premium 64-bit

Version: 6.3.0.0.alpha0+ (x64)
Build ID: f3fc127dc007f32355859ae4fc7d34916c500a18
CPU threads: 4; OS: Windows 6.1; UI render: default; VCL: win; 
TinderBox: Win-x86_64@42, Branch:master, Time: 2019-04-08_04:49:13
Locale: de-DE (de_DE); UI-Language: en-US
Calc: threaded

Test result: LO 6.3.0.0.alpha0+ (x64) => Macro selections: [1][2][3][4] OKAY

Hello Mike,
thank you for fixing and solving the problem :-)) ...
Greetings
Hans-Werner ;-))
Comment 7 Commit Notification 2019-04-09 07:59:42 UTC
Mike Kaganski committed a patch related to this issue.
It has been pushed to "libreoffice-6-2":

https://git.libreoffice.org/core/+/7420a6175358fdc1cda133c0ed2eab693cc72e54%5E%21

tdf#124579: ensure to provide an event to wake up main loop when notifying

It will be available in 6.2.4.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.